curl --request GET \
--url https://{host}/api/org/projects/{shortcode}/findings/{ref} \
--header 'X-API-Token: <api-key>'import requests
url = "https://{host}/api/org/projects/{shortcode}/findings/{ref}"
headers = {"X-API-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<api-key>'}};
fetch('https://{host}/api/org/projects/{shortcode}/findings/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/org/projects/{shortcode}/findings/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/org/projects/{shortcode}/findings/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/org/projects/{shortcode}/findings/{ref}")
.header("X-API-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/org/projects/{shortcode}/findings/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ref": "1",
"title": "Cross-Site Scripting (XSS) Vulnerability",
"shortcode": "DVPT-ABC-EXAMPLE-1",
"fromProject": "Example Project Penetration Test",
"dateReported": "29 Jan 2025",
"dateUpdated": "Jul 21 05:00 PM",
"severity": "critical",
"severityNum": 5,
"creator": {
"displayName": "john-doe",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"profileImgUuid": "a1b2c3d4e5f6g7h8i9j0"
},
"reviewer": "John Doe (john-doe)",
"status": {
"ID": "3",
"name": "Open",
"showReportDetails": "1",
"description": "Issue has been reviewed and details are available to the client.",
"canMoveToId": "4"
},
"commentCount": 3,
"content": "###### Description\n\nA detailed description of the vulnerability...\n\n###### Impact\n\nThe business impact...",
"cvssVector": "N/A",
"cvssScore": "N/A",
"activity": [
{
"who": {
"displayName": "john-doe",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"profileImgUuid": "a1b2c3d4e5f6g7h8i9j0"
},
"what": "posted a comment<br><span class=\"text-muted\">This needs immediate attention</span>",
"isComment": true,
"date": "23 hours ago",
"dateRaw": "1753081254"
}
]
}Get Issue Details
Retrieve detailed information about a specific issue/finding
curl --request GET \
--url https://{host}/api/org/projects/{shortcode}/findings/{ref} \
--header 'X-API-Token: <api-key>'import requests
url = "https://{host}/api/org/projects/{shortcode}/findings/{ref}"
headers = {"X-API-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<api-key>'}};
fetch('https://{host}/api/org/projects/{shortcode}/findings/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/org/projects/{shortcode}/findings/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/org/projects/{shortcode}/findings/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/org/projects/{shortcode}/findings/{ref}")
.header("X-API-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/org/projects/{shortcode}/findings/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ref": "1",
"title": "Cross-Site Scripting (XSS) Vulnerability",
"shortcode": "DVPT-ABC-EXAMPLE-1",
"fromProject": "Example Project Penetration Test",
"dateReported": "29 Jan 2025",
"dateUpdated": "Jul 21 05:00 PM",
"severity": "critical",
"severityNum": 5,
"creator": {
"displayName": "john-doe",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"profileImgUuid": "a1b2c3d4e5f6g7h8i9j0"
},
"reviewer": "John Doe (john-doe)",
"status": {
"ID": "3",
"name": "Open",
"showReportDetails": "1",
"description": "Issue has been reviewed and details are available to the client.",
"canMoveToId": "4"
},
"commentCount": 3,
"content": "###### Description\n\nA detailed description of the vulnerability...\n\n###### Impact\n\nThe business impact...",
"cvssVector": "N/A",
"cvssScore": "N/A",
"activity": [
{
"who": {
"displayName": "john-doe",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"profileImgUuid": "a1b2c3d4e5f6g7h8i9j0"
},
"what": "posted a comment<br><span class=\"text-muted\">This needs immediate attention</span>",
"isComment": true,
"date": "23 hours ago",
"dateRaw": "1753081254"
}
]
}Authorizations
API key for authentication
Path Parameters
Project shortcode identifier
Issue/finding reference identifier
Response
Successful response with issue details
"1"
"Cross-Site Scripting (XSS) Vulnerability"
"DVPT-ABC-EXAMPLE-1"
"Example Project Penetration Test"
"29 Jan 2025"
"Jul 21 05:00 PM"
critical, high, medium, low, informational "critical"
Numeric severity (1=informational, 2=low, 3=medium, 4=high, 5=critical)
1 <= x <= 55
Show child attributes
Show child attributes
"John Doe (john-doe)"
Show child attributes
Show child attributes
x >= 03
Markdown content describing the issue details including Description, Impact, Affected Assets, Remediation, and Testing Process
"###### Description\n\nA detailed description of the vulnerability...\n\n###### Impact\n\nThe business impact..."
"N/A"
"N/A"
Activity history including comments and status changes
Show child attributes
Show child attributes